The Heartbleed Hit List: The Passwords You Need to Change Right Now

It's time to update your passwords to various sites affected by the Heartbleed bug.

By Mashable Team 2014-04-10 00:23:26 UTC

An encryption flaw called the Heartbleed bug is already being dubbed one of the biggest security threats the Internet has ever seen. The bug has affected many popular websites and services — ones you might use every day, like Gmail and Facebook — and could have quietly exposed your sensitive account information (such as passwords and credit card numbers) over the past two years.

But it hasn't always been clear which sites have been affected. Mashable reached out to some of the most popular social, email, banking and commerce sites on the web. We've rounded up their responses below.

Some Internet companies that were vulnerable to the bug have already updated their servers with a security

patch to fix the issue. This means you'll need to go in and change your passwords immediately for these sites. Even that is no guarantee that your information wasn't already compromised. but there's also no indication that hackers knew about the exploit before this week. The companies that are advising customers to change their passwords are doing so as a precautionary measure.

Although changing your password regularly is always good practice, if a site or service hasn't yet patched the problem, your information will still be vulnerable.

Also, if you reused the same password on multiple sites, and one of those sites was vulnerable, you'll need to change the password everywhere. It's not a good idea to use the same password across multiple sites, anyway.

We'll keep updating the list as new information comes in. Last update: April 19, 11:00 a.m. ET

Source: mashable.com

Category: Forex

Similar articles: